@echo off
setlocal ENABLEDELAYEDEXPANSION

set PROJNAME=tvare-techniky
set FILENAME=tvare-techniky
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out
set DATAPATH=%PROJPATH%\data
set PAKPATH=%PROJPATH%\data\persons\pak

set FILENAME83=tvare.cod
set FILENAME83G=tvareglr.cod
set FILEPCK=tvare.pck
set FILEPROLOG=%DATAPATH%\prolog-p32.bin

cd /D c:\Utilities\AS\bin

rem Dlzky suborov levelov
for %%F in (%PAKPATH%\*.pak) DO (
  set FN=%%~nF
  set LS!FN:~0,2!=%%~zF
)

rem Tvare techniky - galeria
asw -U -L -D Q_P32 -D F_DemoPersons -D LS01=%LS01% -D LS02=%LS02% -D LS03=%LS03% -D LS04=%LS04% -D LS05=%LS05% -D LS06=%LS06% -D LS07=%LS07% -D LS08=%LS08% -D LS09=%LS09% -D LS10=%LS10% -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error
p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -ei -i8080 -a 8 -ja 8 -ra 0xDD30 -vram -o %OUTPATH%\%FILEPCK% %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error
copy /B %FILEPROLOG% + %OUTPATH%\%FILEPCK% %OUTPATH%\%FILENAME83G%
del /Q %OUTPATH%\%FILEPCK%

cim %OUTPATH%\%FILENAME%.p32 -ow -a %OUTPATH%\%FILENAME83G%
if ERRORLEVEL 1 goto error

rem Tvare techniky hra
asw -U -L -D Q_P32 -D LS01=%LS01% -D LS02=%LS02% -D LS03=%LS03% -D LS04=%LS04% -D LS05=%LS05% -D LS06=%LS06% -D LS07=%LS07% -D LS08=%LS08% -D LS09=%LS09% -D LS10=%LS10% -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error
p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -ei -i8080 -a 8 -ja 8 -ra 0xDD30 -vram -o %OUTPATH%\%FILEPCK% %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error
copy /B %FILEPROLOG% + %OUTPATH%\%FILEPCK% %OUTPATH%\%FILENAME83%
del /Q %OUTPATH%\%FILEPCK%

cim %OUTPATH%\%FILENAME%.p32 -ow -a %OUTPATH%\%FILENAME83%
if ERRORLEVEL 1 goto error

cim %OUTPATH%\%FILENAME%.p32 -ow -a %DATAPATH%\title-screen.scr -afn TVARE.SCR
if ERRORLEVEL 1 goto error

rem obrazky
for %%F in (01_Alan-Turing 02_John-von-Neumann 03_Antonin-Svoboda 04_Margaret-Hamilton 05_Clive-Sinclair 06_Eduard-Smutny 07_Gary-Kildall 08_Steve-Wozniak 09_Dennis-Ritchie 10_Roman-Kiss) DO (
  set FN=%%F
  cim %OUTPATH%\%FILENAME%.p32 -ow -a %PAKPATH%\%%F.pak -afn "TVAREL!FN:~0,2!.TTL"
  if ERRORLEVEL 1 goto error
)

rem INF subory
cim %OUTPATH%\%FILENAME%.p32 -ow -a %DATAPATH%\*.INF
if ERRORLEVEL 1 goto error

rem premenovanie LST suboru
del /Q %SRCPATH%\%FILENAME%-p32.lst
rename %SRCPATH%\%FILENAME%.lst %FILENAME%-p32.lst

goto end

:error
echo Chyba kompilacie.
pause

:end
rem pause
