@echo off
setlocal ENABLEDELAYEDEXPANSION

set PROJNAME=tvare-techniky
set FILENAME=tvare-techniky
set LDR_FILENAME=loader_mgf
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out
set PAKPATH=%PROJPATH%\data\persons\pak

cd /D c:\Utilities\AS\bin

rem Person Galery demo
asw -U -L -D Q_MGF -D F_DemoPersons -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error
p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -ei -i8080 -a 8 -ja 8 -ra 0xDD30 -vram -o %OUTPATH%\%FILENAME%.pck %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

bin2ptp -o %OUTPATH%\%FILENAME%.ptp -m "PERSGLRY" -a 8 %OUTPATH%\%FILENAME%.pck
if ERRORLEVEL 1 goto error

del /Q %OUTPATH%\%FILENAME%.pck

rem Tvare techniky hra
asw -U -L -D Q_MGF -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error
p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -ei -i8080 -a 8 -ja 8 -ra 0xDD30 -vram -o %OUTPATH%\%FILENAME%.pck %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

rem bin2ptp -o %OUTPATH%\%FILENAME%.ptp -m "TVARE" -a 8 %OUTPATH%\%FILENAME%.pck -append
rem if ERRORLEVEL 1 goto error

asw -U -L -c -i %SRCPATH% -o %OUTPATH%\%LDR_FILENAME%.p %SRCPATH%\%LDR_FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%LDR_FILENAME%.p %OUTPATH%\%FILENAME%.ptp -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

checksum -add -sl ACodeStart,ACodeLength,ACodeCrc;AHeadStart,AHeadLength,AHeadCrc;AScrStart,AScrLength,AScrCrc;ALoadStart,ALoadLength,ALoadCrc -sf %SRCPATH%\%LDR_FILENAME%.h %OUTPATH%\%FILENAME%.ptp
if ERRORLEVEL 1 goto error

del /Q %OUTPATH%\%FILENAME%.pck

rem obrazky
for %%F in (01_Alan-Turing 02_John-von-Neumann 03_Antonin-Svoboda 04_Margaret-Hamilton 05_Clive-Sinclair 06_Eduard-Smutny 07_Gary-Kildall 08_Steve-Wozniak 09_Dennis-Ritchie 10_Roman-Kiss) DO (
  set FN=%%F
  set FNUM=!FN:~0,2!
  if !FNUM! == 10 set FNUM=0A
  bin2ptp -o %OUTPATH%\%FILENAME%.ptp -m "TVAREL!FN:~0,2!" -t "&" -n 0x!FNUM! %PAKPATH%\%%F.pak -append
  if ERRORLEVEL 1 goto error
)

start %OUTPATH%\%FILENAME%.ptp

rem premenovanie LST suboru
del /Q %SRCPATH%\%FILENAME%-mgf.lst
rename %SRCPATH%\%FILENAME%.lst %FILENAME%-mgf.lst

goto end

:error
echo Chyba kompilacie.
pause

:end
rem pause

