@echo off
setlocal ENABLEDELAYEDEXPANSION

set PROJNAME=tvare-techniky
set FILENAME=tvare-techniky
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out
set DATAPATH=%PROJPATH%\data
set PAKPATH=%DATAPATH%\persons\pak

cd /D c:\Utilities\AS\bin

rem Person Galery demo
asw -U -L -D Q_MRM -D F_DemoPersons -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error
p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -ei -i8080 -a 8 -ja 8 -ra 0xDD30 -vram -o %OUTPATH%\%FILENAME%.pck %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

mrmmngr %OUTPATH%\%FILENAME%.mrm -fa %OUTPATH%\%FILENAME%.pck -fn "PERSGLRY.?" -ln "Persons Galery" -al -ow -sa 8
if ERRORLEVEL 1 goto error

del /Q %OUTPATH%\%FILENAME%.pck

rem Tvare techniky hra
asw -U -L -D Q_MRM -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error
p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -ei -i8080 -a 8 -ja 8 -ra 0xDD30 -vram -o %OUTPATH%\%FILENAME%.pck %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

rem Loader
mrmmngr %OUTPATH%\%FILENAME%.mrm -ml "TVARE.L" "TVARE.Q" "TVARE.?" -ln "Tvare techniky" -ow
if ERRORLEVEL 1 goto error

rem Obrazok
mrmmngr %OUTPATH%\%FILENAME%.mrm -fa %DATAPATH%\title-screen.scr -fn "TVARE.Q" -ow -sa 0x1000
if ERRORLEVEL 1 goto error

rem Hlavny kod hry
mrmmngr %OUTPATH%\%FILENAME%.mrm -fa %OUTPATH%\%FILENAME%.pck -fn "TVARE.?" -ow -sa 8
if ERRORLEVEL 1 goto error

del /Q %OUTPATH%\%FILENAME%.pck

rem obrazky
for %%F in (01_Alan-Turing 02_John-von-Neumann 03_Antonin-Svoboda 04_Margaret-Hamilton 05_Clive-Sinclair 06_Eduard-Smutny 07_Gary-Kildall 08_Steve-Wozniak 09_Dennis-Ritchie 10_Roman-Kiss) DO (
  set FN=%%F
  mrmmngr %OUTPATH%\%FILENAME%.mrm -fa %PAKPATH%\%%F.pak -fn "TVAREL!FN:~0,2!.&" -ow
  if ERRORLEVEL 1 goto error
)

rem premenovanie LST suboru
del /Q %SRCPATH%\%FILENAME%-mrm.lst
rename %SRCPATH%\%FILENAME%.lst %FILENAME%-mrm.lst

goto end

:error
echo Chyba kompilacie.
rem pause

:end
rem pause

